Building QGIS3 against qt-5.11.x

2018-08-01 09:57 AM - Chris Clayton

Status: Open

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.2 Regression?: No

Operating System: Linux Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27349

Description

In qt-5.11 there has been some tweaking of header files, which result in FTBFS when building qgis-3.2.1 (and maybe earlier qgis3

versions).

Whilst I wouldn't suggest that you simply apply the attached patch, it does show the results of the work I did to identify that places where

changes are needed. That will provide a start to the "proper" solution for qgis.

History

#1 - 2018-08-01 02:08 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-08-01 03:27 PM - Alessandro Pasotti

- Status changed from Open to In Progress

Please check this out: https://github.com/qgis/QGIS/pull/7513

#3 - 2018-08-02 10:11 AM - Chris Clayton

I cloned the QGIS tree from github and manually applied the proposed changes. The build completed successfully.

The latest snapshot of gcc8 spits out a few warnings, but they appear not to be related to these changes. (I have a log of them if anyone is interested in

investigating them).

#4 - 2018-08-06 10:48 AM - Alessandro Pasotti

- Status changed from In Progress to Open

Giving up. Please make a PR yourself.

#5 - 2018-08-06 10:48 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#6 - 2018-08-07 10:33 AM - Chris Clayton

- Assignee set to Alessandro Pasotti
https://github.com/qgis/QGIS/pull/7513


I don't understand. There's a hint in your post yesterday that you have lost patience waiting for me.  I replied (in note-4 above) to your request that I "check

this out" (note-3 above). What else are you waiting for me to do?

#7 - 2018-08-07 11:07 AM - Alessandro Pasotti

No: I haven't lost patience waiting for you, sorry if it seemed like that, I just have no time to follow this now.

#8 - 2018-08-10 03:37 PM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

Files

qgis-3.2.0-qt-5.11.patch 3.41 KB 2018-08-01 Chris Clayton
